import { Socket } from "socket.io-client";
import { ClientEvent } from "./ClientEvent";

export type JoinLobbyEvent = {
  userName: string;
  lobbyId: string;
};

export function handleJoinLobby(socket: Socket, payload: JoinLobbyEvent): void {
  socket.emit(ClientEvent.JOIN_LOBBY, payload);
}
